Subject: Re: Compiling PM3 Modula-3, worked under B20.0, now hangs "rm", "as", others in infinite loop on B20.1
From: John Polstra <[email-masked]>
To: [email-masked]
Date: Wed, 29 Dec 1999 13:30:48 -0800 (PST)

In the mailing list archives I found a message from March 11, 1999,
in which "Parzival Herzog" <[email-masked]> wrote:

> I had used B17 - B19 with no problems for months, Then before
> I installed PM3 Modula-3, I updated to B20.0. PM3 Modula-3
> (http://polymtl.ca/m3) installed and ran successfully, then
> I updated to B20.1. PM3 Modula-3 and Cygwin appeared to work
> fine. Then I tried to compile a large Modula-3 package, and
> after compiling part-way through the system, my computer hung
> in an infinite loop, steadily allocating about 50-60K of memory
> per second, with 100% CPU utilization, and no significant disk
> activity. At first I thought this was a Modula-3 problem, but
> gradually started to suspect it was a timing problem in the Cygwin
> library. I noticed that the hang occurred after approximately the
> same amount of elapsed time compiling, and not on the same source
> file, and with exactly the same behaviour while several different
> programs were active, i.e. M3cgc1 (the Modula 3 compiler), as (the
> GNU assembler - called by the compiler), and even once in "rm" (the
> Cygwin rm program, called by make.)

I was seeing these exact symptoms.  Finally today I installed
the December 15, 1999 Cygwin snapshot (I actually used
DroolView-B20.1-19991218.tar.gz) and it appears to have solved the
problem completely.

I'm posting this to get the solution into the mailing list archives
where it can be found by others.

John
---
  John Polstra                                               [email-masked]
  John D. Polstra & Co., Inc.                        Seattle, Washington USA
  "Disappointment is a good sign of basic intelligence."  -- Chögyam Trungpa

--
Want to unsubscribe from this list?
Send a message to [email-masked]